> ## Documentation Index
> Fetch the complete documentation index at: https://docs.symmetry.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve current E-Verify settings for an employer

> Retrieves the current E-Verify account configuration for an employer



## OpenAPI

````yaml /i9/api-reference/i-9-api.yaml get /v1/employers/{employerId}/everifySettings
openapi: 3.1.0
info:
  contact:
    name: Symmetry Software
    url: https://www.symmetry.com
  description: I-9 API Documentation
  license:
    name: Terms of service
    url: https://www.symmetry.com/terms
  title: I-9 API
  version: 1.69.13
servers:
  - url: https://api.symmetry.com/i9
security: []
tags:
  - description: >-
      Endpoints for managing custom app theming configurations for a specific
      employer
    name: Employer Custom App Theming
  - description: >-
      Endpoints for managing custom app theming configurations for all employers
      in the account
    name: Account Custom App Theming
paths:
  /v1/employers/{employerId}/everifySettings:
    get:
      tags:
        - Employer
      summary: Retrieve current E-Verify settings for an employer
      description: Retrieves the current E-Verify account configuration for an employer
      operationId: getEVerifySettings
      parameters:
        - in: path
          name: employerId
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              examples:
                This response will return the current E-Verify settings:
                  description: This response will return the current E-Verify settings
                  summary: >-
                    Example response when retrieving E-Verify settings. HATEOAS
                    links are provided via HTTP headers.
                  value:
                    everifySettings:
                      companyId: '123456'
                      programAdministratorEmail: john.doe@example.com
                      programAdministratorFirstName: John
                      programAdministratorId: '789012'
                      programAdministratorLastName: Doe
                      programAdministratorPhone: 234-567-8901
                      webServiceUsername: everify_user
              schema:
                $ref: '#/components/schemas/EVerifySettingsResponse'
          description: OK
        '404':
          description: Resource not found
      security:
        - AuthenticationToken: []
components:
  schemas:
    EVerifySettingsResponse:
      properties:
        everifySettings:
          $ref: '#/components/schemas/EVerifySettings'
          description: Employer E-Verify Settings information
      type: object
    EVerifySettings:
      properties:
        companyId:
          type: string
        programAdministratorEmail:
          type: string
        programAdministratorFirstName:
          type: string
        programAdministratorId:
          type: string
        programAdministratorLastName:
          type: string
        programAdministratorPhone:
          type: string
        webServicePassword:
          type: string
          writeOnly: true
        webServiceUsername:
          type: string
      required:
        - companyId
        - programAdministratorEmail
        - programAdministratorFirstName
        - programAdministratorId
        - programAdministratorLastName
        - programAdministratorPhone
        - webServicePassword
        - webServiceUsername
      type: object
  securitySchemes:
    AuthenticationToken:
      bearerFormat: JWT
      scheme: bearer
      type: http

````